Bug 198290 - CVE-2006-3376 libwmf integer overflow
Summary: CVE-2006-3376 libwmf integer overflow
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libwmf (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard: source=cve,reported=20060706,impact=m...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-10 20:50 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2006-0597
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-18 10:31:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
maybe this will suffice (1.39 KB, patch)
2006-07-11 09:40 UTC, Caolan McNamara
no flags Details | Diff
testcase (2.19 KB, application/octet-stream)
2006-07-12 15:36 UTC, Caolan McNamara
no flags Details
maybe a better testcase (2.19 KB, application/octet-stream)
2006-07-14 11:06 UTC, Caolan McNamara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0597 normal SHIPPED_LIVE Moderate: libwmf security update 2006-07-18 04:00:00 UTC

Description Josh Bressers 2006-07-10 20:50:23 UTC
libwmf integer overflow

infamous41md discovered an integer overflow bug in libwmf.

There is more information here:
http://www.securityfocus.com/archive/1/archive/1/438803/100/0/threaded

Comment 2 Caolan McNamara 2006-07-11 09:40:26 UTC
Created attachment 132225 [details]
maybe this will suffice

Comment 3 Caolan McNamara 2006-07-12 15:36:51 UTC
Created attachment 132312 [details]
testcase

I don't have a proper test case, but here's a wmf which has a size field which
will overflow as reported above on a box where size_t is 32. With the fix in
place it shouldn't open on such a system.

Comment 4 Caolan McNamara 2006-07-12 15:52:39 UTC
built and mkerrata-wrapper dist-4E-errata-candidate libwmf-0.2.8.3-5.2 has been run.

The attached .wmf shouldn't open on 32bit platforms after this change, but
normal .wmf's should

Comment 5 Mark J. Cox 2006-07-13 08:54:55 UTC
RHSA-2006:0597 in progress.

Comment 7 Caolan McNamara 2006-07-14 11:06:46 UTC
Created attachment 132425 [details]
maybe a better testcase

Maybe this testcase will trigger better on RHEL-4 ?

Comment 8 Caolan McNamara 2006-07-14 13:01:46 UTC
Seems to work better, but shows I need another fix for casting on 64bit.
built and mkerrata-wrapper dist-4E-errata-candidate libwmf-0.2.8.3-5.3 has been run.



Comment 11 Red Hat Bugzilla 2006-07-18 10:31:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0597.html



Note You need to log in before you can comment on or make changes to this bug.